Package com.collibra.dgc.core.api.dto.meta.attributetype

# Class ChangeAttributeTypeRequest.Builder

Object
Builder

Enclosing class:
  `ChangeAttributeTypeRequest`

public static final class ChangeAttributeTypeRequest.Builder extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChangeAttributeTypeRequest.Builder`
  `allowedValues(List<String> allowedValues)`
  List of allowed values.
  `ChangeAttributeTypeRequest`
  `build()`
  `ChangeAttributeTypeRequest.Builder`
  `but()`
  Deprecated.
  This method will be removed in the future.
  `ChangeAttributeTypeRequest.Builder`
  `description(String description)`
  The new description for the Attribute Type.
  `ChangeAttributeTypeRequest.Builder`
  `id(UUID id)`
  Required. The ID of the Attribute Type to be changed.
  `ChangeAttributeTypeRequest.Builder`
  `isInteger(Boolean isInteger)`
  Whether Attribute Type holds integer value.
  `ChangeAttributeTypeRequest.Builder`
  `language(String language)`
  Deprecated.
  This parameter will be removed from the next major release, and has no effect.
  `ChangeAttributeTypeRequest.Builder`
  `name(String name)`
  The new name for the Attribute Type.
  `ChangeAttributeTypeRequest.Builder`
  `publicId(String publicId)`
  The new public id for the Attribute Type.
  `ChangeAttributeTypeRequest.Builder`
  `statisticsEnabled(Boolean statisticsEnabled)`
  Whether statistics should be enabled.
  `ChangeAttributeTypeRequest.Builder`
  `stringType(StringType stringType)`
  Whether the Attribute Type holds rich text or plain text.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### but

    @Deprecated public ChangeAttributeTypeRequest.Builder but()
    Deprecated.
    This method will be removed in the future. Please, use `ChangeAttributeTypeRequest.builder()`.
    Clone method for this Builder.

  - ### id

    public ChangeAttributeTypeRequest.Builder id(UUID id)
    Required. The ID of the Attribute Type to be changed.
    Returns:
      `this`.

  - ### publicId

    public ChangeAttributeTypeRequest.Builder publicId(String publicId)
    The new public id for the Attribute Type.

    It must be unique within all Attribute Types. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C".

    WARNING : The public id should only be changed with extreme caution, since it can break existing customizations. The only valid use case is to change it after creation of the type, if no public id was specified, and the generated proposal is not acceptable.
    Returns:
      `this`.

  - ### name

    public ChangeAttributeTypeRequest.Builder name(String name)
    The new name for the Attribute Type.
    Returns:
      `this`.

  - ### description

    public ChangeAttributeTypeRequest.Builder description(String description)
    The new description for the Attribute Type.
    Returns:
      `this`.

  - ### language

    @Deprecated public ChangeAttributeTypeRequest.Builder language(String language)
    Deprecated.
    This parameter will be removed from the next major release, and has no effect.
    The new script language of the new Attribute Type, for script Attribute Types.
    Returns:
      `this`.

  - ### statisticsEnabled

    public ChangeAttributeTypeRequest.Builder statisticsEnabled(Boolean statisticsEnabled)
    Whether statistics should be enabled. This property is only applicable to Attribute Types of kind "Numeric" or "Boolean".
    Returns:
      `this`.

  - ### isInteger

    public ChangeAttributeTypeRequest.Builder isInteger(Boolean isInteger)
    Whether Attribute Type holds integer value. This property is only applicable to Attribute Types of kind "Numeric".
    Returns:
      `this`.

  - ### allowedValues

    public ChangeAttributeTypeRequest.Builder allowedValues(List<String> allowedValues)
    List of allowed values. This property is only applicable to Attribute Types of kind "Single Value List" or "Multi Value List"."
    Returns:
      `this`.

  - ### stringType

    public ChangeAttributeTypeRequest.Builder stringType(StringType stringType)
    Whether the Attribute Type holds rich text or plain text. This property is only applicable to Attribute Types of kind "String".
    Returns:
      `this`.

  - ### build

    public ChangeAttributeTypeRequest build()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`